.Div {
  text-align: center;
  display: flex;
  flex-direction: row;

  justify-content: center;

  height: 100%;
  padding: 10px;
  gap: 10px;
  flex-wrap: wrap;
}

.App {
  text-align: center;
  display: flex;
  flex-direction: column;
  width: 500px;
  height: 100%;

  justify-content: center;
  align-items: center;
  gap: 10px;
  background-color: white;
  padding: 50px;
  box-shadow: 1px 0px 10px grey;
}

.formheading {
  font-weight: 500;
}

.signupimage {
  height: fit-content;
  width: fit-content;
  align-self: flex-start;

  box-shadow: 1px 0px 10px grey;
}

.joinus {
  color: grey;
}

.iconparent {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 15px;
}

.signinicon {
  border-radius: 10px;
  height: 40px;
  width: 40px;
  box-shadow: 1px 0px 9px lightgray;
}

span {
  text-align: left;
  flex: 0.3;
}

.error {
  color: red;
  font-size: 0.9em;
  font-weight: 400;
}

.checkboxgroup {
  margin-right: auto;

  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: center;
  align-items: center;
}

.submitbtn {
  background-color: #9090ff;
  width: 100%;
  border-radius: 5px;
  height: 40px;
  border: none;
  color: #ffff;
  font-weight: 600;
  font-size: 18px;
}

.submitbtn:hover {
  box-shadow: 1px 0px 10px #7777cb;
}

/* input {
  border-radius: 5px;
  border: none;
  height: 30px;
}

input[type="submit"] {
  background-color: lavender;
  height: 30px;
  width: fit-content;
}

input[type="checkbox"]{
  height: fit-content;
} */

/* input:focus{
  outline: none;
  border: 1px solid black;
}

input[type="submit"]:hover {
  background-color: lightcyan;
}
 */

.group {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.formlabel {
  align-self: flex-start;
  font-size: 15px;
  color: grey;
}

.link {
  margin: 10px;
  padding: 10px;
}

.link:hover {
  background-color: bisque;
}

.divLink {
  margin: 20px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  background-color: whitesmoke;
}

.otherdiv {
  width: 50%;
  height: fit-content;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  box-shadow: 12px 6px 12px 6px grey;
  padding: 10px;
  background-color: whitesmoke;
}

.Whatwedo {
  margin-top: 5%;
  display: grid;
  grid-template-columns: 100%;
  text-align: center;
  background-color: whitesmoke;
  box-shadow: 12px 6px 12px 6px grey;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}

.whatwechild {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin: 5%;
  justify-content: center;
}

.whatwechild div {
  height: fit-content;
  width: 27%;
  margin: 10px;
  text-align: center;

  box-shadow: 12px 6px 12px 6px grey;
}

footer {
  margin-top: 10%;
  text-align: center;
  background-color: whitesmoke;
}

.firstpage {
  display: flex;
  flex-direction: column;

  align-items: center;
}

.firstpageimg {
  margin-top: 10px;
  height: 300px;
  width: 400px;
}

.articles {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}
.articles div {
  height: fit-content;
  width: 200px;
  margin: 30px;
  box-shadow: 12px 6px 12px 6px grey;
  background-color: whitesmoke;
}
.articles img {
  height: 200px;
  width: 200px;
}

.success {
  color: green;
  font-weight: 400;
  font-size: 0.9em;
}

.AlreadyAccount {
  margin-top: 10px;
  color: grey;
}

@media screen and (max-width: 550px) {
  .App {
    height: fit-content;
    width: fit-content;
  }
  .p {
    width: 100%;
    overflow: auto;
  }
  .firstpage {
    height: fit-content;
  }
  .firstpageimg {
    height: 300px;
    width: 300px;
  }
  .otherdiv {
    width: 70%;
  }
  .label {
    height: fit-content;
  }

  .whatwechild {
    flex-direction: column;
    flex-wrap: wrap;
    margin: 5%;
    align-items: center;
    justify-content: center;
  }

  .signupimage {
    display: none;
  }

  .whatwechild div {
    height: fit-content;
    width: 60%;
    margin: 10px;
    text-align: center;
    padding: 5px;
    box-shadow: 12px 6px 12px 6px grey;
  }
}
